Subject: Re: bug#48804: 27.2; compilation emacs on macOS

From: Alan Third <[email-masked]>
Date: Fri, 04 Jun 2021 13:26:38 +0100

On 4 June 2021 13:23:38 BST, Eli Zaretskii <[email-masked]> wrote:
>> From: Niels Søndergaard <[email-masked]>
>> Date: Fri, 4 Jun 2021 14:19:54 +0200
>> Cc: Eli Zaretskii <[email-masked]>,
>>  Alan Third <[email-masked]>,
>>  Niels Søndergaard <[email-masked]>,
>>  [email-masked]
>> 
>> I’ve gcc 10.2.0_4 installed by Homebrew on my new iMac 24” (with M1),
>and can’t get a newer version, so I’ll
>> properly have to wait ….. 
>
>What's wrong with GCC 10?  AFAIK, even GCC 7 comes with libgccjit that
>is good enough for Emacs.

I believe that libgccjit only just added support for M1 processors in the last week or two, and for whatever reason the Intel emulation on the Macs doesn't work with the older libgccjit either.
-- 
Alan